Skip to content
GitHub

The registries Kuben knows how to log in to.

GET
/api/v1/registries/presets
curl --request GET \
--url https://example.com/api/v1/registries/presets
Media typeapplication/json
Array<object>
object
id
required
string
Allowed values: dockerhub ghcr gitlab quay harbor custom
label
required
string
server

The registry host; none when the user names it (Harbor, custom).

string | null
usernameHint
required
string
passwordHint
required
string
docsUrl
string | null
Example
[
{
"id": "dockerhub"
}
]
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}